This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 996855 - (CVE-2013-4956) CVE-2013-4956 Puppet: Local Privilege Escalation/Arbitrary Code Execution
CVE-2013-4956 Puppet: Local Privilege Escalation/Arbitrary Code Execution
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20130815,repor...
: Security
Depends On: 997615 1002995 1007062
Blocks: 997641
  Show dependency treegraph
 
Reported: 2013-08-14 03:26 EDT by Kurt Seifried
Modified: 2016-04-26 14:17 EDT (History)
35 users (show)

See Also:
Fixed In Version: puppet 2.7.23, puppet 3.2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-03-12 01:01:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
2.7.22-puppet-Aug-2013-CVE-fixes.patc (56.30 KB, patch)
2013-08-14 03:34 EDT, Kurt Seifried
no flags Details | Diff
3.2.3-puppet-Aug-2013-CVE-fixes.patch (61.11 KB, patch)
2013-08-14 03:36 EDT, Kurt Seifried
no flags Details | Diff

  None (edit)
Description Kurt Seifried 2013-08-14 03:26:26 EDT
Moses Mendoza (moses@puppetlabs.com) reports:

Puppet Module Tool does not control permissions of modules it
installs, instead transferring permissions that existed when the
module is built. This could allow a malicious user to write to modify
the puppet module if their local username is the same as the username
originally used to create the module and the user has write permission
to the puppet module directory.
Comment 1 Kurt Seifried 2013-08-14 03:34:01 EDT
Created attachment 786416 [details]
2.7.22-puppet-Aug-2013-CVE-fixes.patc
Comment 2 Kurt Seifried 2013-08-14 03:34:51 EDT
Comment on attachment 786416 [details]
2.7.22-puppet-Aug-2013-CVE-fixes.patc

This fixes CVE-2013-4956 and CVE-2013-4761
Comment 3 Kurt Seifried 2013-08-14 03:36:09 EDT
Created attachment 786419 [details]
3.2.3-puppet-Aug-2013-CVE-fixes.patch

This fixes CVE-2013-4956 and CVE-2013-4761
Comment 4 Vincent Danen 2013-08-15 15:20:10 EDT
External References:

http://puppetlabs.com/security/cve/cve-2013-4956/
Comment 5 Vincent Danen 2013-08-15 15:26:24 EDT
Created puppet tracking bugs for this issue:

Affects: fedora-all [bug 997615]
Comment 8 Sam Kottler 2013-08-30 08:26:55 EDT
I've pushed Puppet 3.2.4 to the F20 and rawhide repos which contains a fix for this issue.
Comment 12 Murray McAllister 2013-09-12 09:01:01 EDT
Acknowledgements:

Red Hat would like to thank Puppet Labs for reporting this issue.
Comment 13 errata-xmlrpc 2013-09-24 14:03:15 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1283 https://rhn.redhat.com/errata/RHSA-2013-1283.html
Comment 14 errata-xmlrpc 2013-09-24 14:13:51 EDT
This issue has been addressed in following products:

  OpenStack 3 for RHEL 6

Via RHSA-2013:1284 https://rhn.redhat.com/errata/RHSA-2013-1284.html
Comment 15 Kurt Seifried 2014-03-12 01:01:54 EDT
This issue has been addressed in following products:

Fedora-all puppet 3.2.4-1 - Update to 3.2.4 to fix CVE-2013-4761 and CVE-2013-4956

Note You need to log in before you can comment on or make changes to this bug.